FROM alpine:3.9

LABEL maintainer="Morten Eskildsen <morten@mdevelopment.dk>"

ENV VERSION 1.0
ENV FLAG CTF{CLIENT_SIDE_VALIDATION_IS_NOT_ENOUGH}

EXPOSE 80

RUN \
    apk update && \
    apk add --no-cache nginx php7-fpm

RUN \
    mkdir -p /var/run/nginx && \
    mkdir -p /var/run/php && \
    rm -rf /var/www/localhost/htdocs

COPY src /

# healthcheck
HEALTHCHECK --interval=10s --timeout=1s --retries=2 \
      CMD /bin/sh /healthcheck.sh

ENTRYPOINT ["./init.sh"]
